
QGIS Application - Bug report #306

deleting features in postgis databases

2006-09-25 08:33 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: SuSE Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 10365

Description

I get a segmentation fault each time I select a feature and I push "Delete Selected" button. This is not happening when i'm editing a

shapefile.

History

#1 - 2006-09-25 08:47 AM - Marco Hugentobler

Works on my system.

Which versions of QGIS, [[PostGIS]] do you use and on which platform?

Is there anything printed in the console that may be related to the segfault?

Marco

#2 - 2006-09-25 09:10 AM - anonymous -

i'm attaching the last lines of backtrace

Warning: Object::connect: No such signal [[QgsRasterLayer]]::drawingProgress(int,int)

Warning: Object::disconnect: No such signal [[QgsRasterLayer]]::drawingProgress(int,int)

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread -1240328528 (LWP 20322)]

[[QgsGeometry]]::boundingBox (this=0x0) at qgsgeometry.cpp:1827

1827        if(mGeometry)

i'm using latest qgis_Release-0_8-preview-2 with postgis-1.1.3

#3 - 2006-10-03 05:39 AM - doktoreas -

Same thing moving a vertex or adding a new one.

Using preview2 with Postgis 1.1.4

#4 - 2006-10-16 07:56 AM - Marco Hugentobler

Still can't reproduce this bug on my system. Could you add a bit more of the backtrace (back to [[QgsVectorLayer]]::updateExtents or even more)? 

Is there a possibility for me to access such a database remotely with my local QGIS? Or to login to your computer, start a qgis with debug option there and

direct the X11 windows to my computer? If yes, you could send the necessary settings (user/pw) to me by mail: marco.hugentobler at karto dot baug dot
ethz dot ch

#5 - 2006-11-14 11:30 PM - Marco Hugentobler

I cannot reproduce and consequently not fix this bug without further input.

Marco

#6 - 2006-11-26 05:23 PM - Gary Sherman

- Status changed from Open to Closed

- Resolution set to wontfix

This works for me as well with latest revision (commit:fdf9e31c (SVN r6128)).

Closed because it can't be reproduced.

#7 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
